Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.sybase.easerver.ejb
Class EAServerSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
                          xdoclet.modules.sybase.easerver.ejb.EAServerSubTask

All Implemented Interfaces:
  Serializable

public class EAServerSubTask
extends AbstractEjbDeploymentDescriptorSubTask

Generates configuration files for EJB jars in EAServer 4.1+

Version:
  $Revision: 1.5 $
Author:
  Andrew Stevens
See Also:
  Serialized Form
ant.element
  display-name="EAServer" name="easerver" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  August 15, 2002

Nested Class Summary
`static class` | `EAServerSubTask.EAServerVersionTypes`

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`EAServerSubTask()`

Method Summary
`String` | `getPackageDescription()` Return the Jaguar Package description.
`String` | `getPackageName()` Return the Jaguar Package name.
`String` | `getVersion()` Return the Jaguar version.
`void` | `setPackageDescription(String packageDescription)` Set the Jaguar Package description.
`void` | `setPackageName(String packageName)` Set the Jaguar Package name.
`void` | `setVersion(String version)` Set the Jaguar version.
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
`atLeastOneCmp1EntityBeanExists, atLeastOneCmp2EntityBeanExists, atLeastOneCmpEntityBeanExists`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EAServerSubTask

    public EAServerSubTask()

Method Detail

### getVersion

    public String getVersion()

  Return the Jaguar version.

  Returns:
    The Jaguar version

### getPackageName

    public String getPackageName()

  Return the Jaguar Package name.

  Returns:
    The PackageName value

### getPackageDescription

    public String getPackageDescription()

  Return the Jaguar Package description.

  Returns:
    The PackageDescription value

### setVersion

    public void setVersion(String version)

  Set the Jaguar version.

  Parameters:
    `version` - The new Version value

### setPackageName

    public void setPackageName(String packageName)

  Set the Jaguar Package name.

  Parameters:
    `packageName` - The new Security Domain value
  ant.required
    Yes

### setPackageDescription

    public void setPackageDescription(String packageDescription)

  Set the Jaguar Package description.

  Parameters:
    `packageDescription` - The new PackageDescription value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD